< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  object PlayObjectStoreClient
  Definition Classes
    play
- Implicits

o

uk.gov.hmrc.objectstore.client.play.PlayObjectStoreClient

# Implicits 

###

#### object Implicits extends PlayObjectStoreContentReads with PlayObjectStoreContentWrites

Linear Supertypes
PlayObjectStoreContentWrites, PlayObjectStoreContentReads, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Implicits
2. PlayObjectStoreContentWrites
3. PlayObjectStoreContentReads
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  implicit def akkaSourceContentRead: ObjectStoreContentRead[Future, WSResponse, Source[ByteString, NotUsed]]
   Definition Classes
     PlayObjectStoreContentReads
5.  implicit def akkaSourceContentWrite[Mat](implicit ec: ExecutionContext, m: Materializer): ObjectStoreContentWrite[Future, Source[ByteString, Mat], Request]
   Definition Classes
     PlayObjectStoreContentWrites
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  implicit lazy val bytesWrite: ObjectStoreContentWrite[Future, Array[Byte], Request]
   Definition Classes
     PlayObjectStoreContentWrites
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  implicit val fileWrite: ObjectStoreContentWrite[Future, File, Request]
    Definition Classes
      PlayObjectStoreContentWrites
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  implicit def payloadAkkaSourceContentWrite[Mat]: ObjectStoreContentWrite[Future, Payload[Source[ByteString, Mat]], Request]
    Definition Classes
      PlayObjectStoreContentWrites
20.  implicit lazy val stringWrite: ObjectStoreContentWrite[Future, String, Request]
    Definition Classes
      PlayObjectStoreContentWrites
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
26.  object InMemoryReads extends InMemoryPlayObjectStoreContentReads

### Inherited from PlayObjectStoreContentWrites

### Inherited from PlayObjectStoreContentReads

### Inherited from AnyRef

### Inherited from Any

### Ungrouped